Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357064 - Review Request: lumina-desktop - A lightweight, portable desktop environment
Summary: Review Request: lumina-desktop - A lightweight, portable desktop environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1381197
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-07-15 15:44 UTC by Raphael Groner
Modified: 2016-10-21 15:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-19 17:21:15 UTC
manisandro: fedora-review+


Attachments (Terms of Use)
spec diff (deleted)
2016-08-09 13:31 UTC, leigh scott
no flags Details | Diff

Description Raphael Groner 2016-07-15 15:44:32 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop-1.0.0-0.1.Beta2.fc24.src.rpm
Description: A lightweight, portable desktop environment
The Lumina Desktop Environment is a lightweight system interface
that is designed for use on any Unix-like operating system.

Fedora Account System Username: raphgro

Test builds: https://copr.fedorainfracloud.org/coprs/raphgro/review/build/385892/

Note:
I'm doing test builds on copr because upload (to koji) is very slow from here.

Comment 2 Neal Gompa 2016-07-15 21:26:23 UTC
Please don't use Suggests if you want it to be installed by default. Use Recommends instead. libsolv-based dependency resolvers use "Suggests" as hints for other dependency requirements (Requires/Recommends).

Comment 3 Sandro Mani 2016-07-20 14:17:57 UTC
@Raphael Groner

Swap with https://bugzilla.redhat.com/show_bug.cgi?id=1358328 ?

Do you intend to switch Suggests with Recommends?

Comment 4 Raphael Groner 2016-07-20 15:20:05 UTC
(In reply to Sandro Mani from comment #3)
> @Raphael Groner
> 
> Swap with https://bugzilla.redhat.com/show_bug.cgi?id=1358328 ?

Maybe. But I'm not familiar with perl. Can you offer another one for review swap?

> Do you intend to switch Suggests with Recommends?

Still wondering about the difference (comment #2) or if there's really any and what benefit we could get. I tend to use Recommends in the individual application subpackages instead but they each have an hard Requires to libs what makes another weak dependency quite useless.

Comment 5 Sandro Mani 2016-07-20 15:21:55 UTC
That's the most important I have ATM, alternatively I have some MinGW stuff, i.e.

https://bugzilla.redhat.com/show_bug.cgi?id=1206218
https://bugzilla.redhat.com/show_bug.cgi?id=1238385

But I'd need to update those first.

Comment 6 Sandro Mani 2016-07-20 18:38:34 UTC
- gcc-c++ already requires gcc (BuildRequires: gcc, gcc-c++)
- You could use pkgconfig(...) style BuildRequires
- The Group: tag is unnecessary
- You should build the translations from source instead of installing the binary files

Comment 7 Sandro Mani 2016-07-20 18:43:43 UTC
- /usr/bin/lte should be in the lumina-textedit package:
lumina-desktop.x86_64: W: dangling-symlink /usr/bin/lte /usr/bin/lumina-textedit

Comment 8 Raphael Groner 2016-08-07 16:10:09 UTC
SPEC: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop-1.0.0-0.3.Beta4.Tfbab63e.fc24.src.rpm

Test builds: https://copr.fedorainfracloud.org/coprs/raphgro/review/package/lumina-desktop/

%changelog
* Sun Aug 07 2016 Raphael Groner <> - 1.0.0-0.3.Beta4.Tfbab63e
- Beta4

* Sun Aug 07 2016 Raphael Groner <> - 1.0.0-0.2.Beta2.Tfbab63e
- avoid dangling-symlink /usr/bin/lte
- drop implicit BR: gcc
- drop Group tags
- compile translations and split into individual langpacks

Comment 9 Sandro Mani 2016-08-07 19:56:16 UTC
I'm not sure these are correct:
Enhances:      %{name} = %{version}-%{release}\
Supplements:   (%{name} = %{version}-%{release} and langpacks-%{1})\

Reading the bottom section of [1], I think

Enhances:      %{name} = %{version}-%{release}
Requires:      %{name} = %{version}-%{release}

would be more correct. Enhances may be used by the package manager to notify the user about the additional packages, and Requires ensures you don't need to install the license in each langpack (because it is installed by lumina-desktop-libs required by lumina-desktop), and that directory ownership is also correct.


Also, -devel does not need to install the LICENSE separately because it is already installed by -libs which it requires.

Rest looks good.

[1] http://www.rpm.org/wiki/PackagerDocs/Dependencies&num=1&hl=en&gl=ch&strip=0&vwsrc=0

Comment 10 Kevin Kofler 2016-08-07 20:51:50 UTC
The Supplements is a boolean reverse dependency to ensure the langpack will be installed by default if the langpacks-* metapackage is. (It is, however, only allowed for Fedora releases where boolean dependencies are allowed.)

Comment 11 Kevin Kofler 2016-08-07 20:53:33 UTC
As for the difference between Recommends and Suggests, it is that Recommends is a "yes by default" optional dependency, Suggests is a "no by default" optional dependency.

Comment 12 Sandro Mani 2016-08-07 20:54:59 UTC
Ah thanks for the clarification. The "Requires: %{name} = %{version}-%{release}" for the langpacks is needed though, right?

Comment 13 leigh scott 2016-08-09 13:31:54 UTC
Created attachment 1189266 [details]
spec diff

(In reply to Raphael Groner from comment #8)
> SPEC: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop.spec
> SRPM:
> https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop-1.0.0-0.3.
> Beta4.Tfbab63e.fc24.src.rpm
> 
> Test builds:
> https://copr.fedorainfracloud.org/coprs/raphgro/review/package/lumina-
> desktop/
> 
> %changelog
> * Sun Aug 07 2016 Raphael Groner <> - 1.0.0-0.3.Beta4.Tfbab63e
> - Beta4
> 
> * Sun Aug 07 2016 Raphael Groner <> - 1.0.0-0.2.Beta2.Tfbab63e
> - avoid dangling-symlink /usr/bin/lte
> - drop implicit BR: gcc
> - drop Group tags
> - compile translations and split into individual langpacks

The spec will only build beta/git, it fails for the proper release.
gcc-c++ and tar are default build requires for mock so aren't needed in the spec.
qt5-qtbase-devel requires qt5-qttools and qt5-linguist so no need to have them as buildrequires.

Comment 14 Sandro Mani 2016-08-09 13:34:30 UTC
-BuildRequires:      gcc-c++

Actually it is now a packaging policy to explicitly add the toolchain, see https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B#BuildRequires_and_Requires

Comment 15 Sandro Mani 2016-08-09 13:35:01 UTC
(or better toolchain -> compiler)

Comment 16 leigh scott 2016-08-09 14:22:25 UTC
(In reply to leigh scott from comment #13)

> qt5-qtbase-devel requires qt5-qttools and qt5-linguist so no need to have
> them as buildrequires.

I meant

qt5-qtbase-devel=qt5-qttools-devel

Comment 17 Raphael Groner 2016-08-09 20:04:39 UTC
https://lumina-desktop.org/version-1-0-0-released/

Can update on next weekend or so.

Comment 18 Raphael Groner 2016-08-18 19:52:17 UTC
May take another week to expect an update. Too busy with other things, unfortunately. Sorry for the delay.

Comment 19 Raphael Groner 2016-08-27 16:07:18 UTC
SPEC: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop-1.0.0-1.p1.Lbc08e90.fc24.src.rpm

Test builds: https://copr.fedorainfracloud.org/coprs/raphgro/review/package/lumina-desktop/

%changelog
* Sun Aug 14 2016 Raphael Groner <> - 1.0.0-1.p1.Lbc08e90
- use official upstream release
- clean up build deps
- update translations from git
- drop langpacks and include in binary subpackages
- disable weak dependencies for epel


Sorry again for the delay.

Comment 20 Raphael Groner 2016-08-27 18:31:33 UTC
SPEC: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/lumina/lumina-desktop-1.0.0-2.p2.Lbc08e90.fc24.src.rpm

Test builds: https://copr.fedorainfracloud.org/coprs/raphgro/review/package/lumina-desktop/

%changelog
* Sat Aug 27 2016 Raphael Groner <> - 1.0.0-2.p2.Lbc08e90
- update to patchset 2
- fix E: script-without-shebang
- [epel] fix creation of folder etc

Comment 21 Sandro Mani 2016-08-27 21:40:44 UTC
I'm out of home and office until the 4th of September with very unreliable internet connection, not sure if I manage to do a review until then. Sorry for the delay.

Comment 22 Neal Gompa 2016-08-28 14:01:05 UTC
Couple of issues I noticed:

* update-desktop-database scriptlets need to be guarded out so they don't run on F25+: https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#desktop-database

* Suggests are not helpful. There's no way to discover or install Suggests from DNF or PackageKit, so I would suggest making a metapackage (lumina-desktop-environment, maybe?) that pulls in everything, or upgrading the relationship from Suggests to Recommends. The former is more useful if you plan to also offer this in EPEL, too.

Comment 23 Neal Gompa 2016-08-28 14:23:37 UTC
Also,

You will need to configure libLumina for Fedora by introducing a Fedora.cpp file with the appropriate configuration and adjust the build scripts to use it in place of generic Linux.cpp. It might be worth upstreaming it as well.

See: https://github.com/trueos/lumina/tree/master/src-qt5/core/libLumina

Comment 24 Raphael Groner 2016-08-28 14:45:00 UTC
(In reply to Neal Gompa from comment #22)
> Couple of issues I noticed:
> 
> * update-desktop-database scriptlets need to be guarded out so they don't
> run on F25+:
> https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:
> ScriptletSnippets#desktop-database

As far as I understand the fpc ticket [1], it does not harm to keep the scriptlets. Test builds still work.

[1] https://fedorahosted.org/fpc/ticket/636

> * Suggests are not helpful. There's no way to discover or install Suggests
> from DNF or PackageKit, so I would suggest making a metapackage
> (lumina-desktop-environment, maybe?) that pulls in everything, or upgrading
> the relationship from Suggests to Recommends. The former is more useful if
> you plan to also offer this in EPEL, too.

What does that have to do with the review? Please open another bug when the package will be imported into Fedora. You are properly looking for a comps.

(In reply to Neal Gompa from comment #23)
> Also,
> 
> You will need to configure libLumina for Fedora by introducing a Fedora.cpp
> file with the appropriate configuration and adjust the build scripts to use
> it in place of generic Linux.cpp. It might be worth upstreaming it as well.
> 
> See: https://github.com/trueos/lumina/tree/master/src-qt5/core/libLumina

Project MESSAGE: Build OS Info: Linux, x86_64, #1 SMP Thu May 19 13:05:32 UTC 2016
Project MESSAGE: Build Settings Loaded: Linux -

What's the issue with that? Build works.

Comment 25 Sandro Mani 2016-09-09 08:57:31 UTC
Full review below. Issues:

- You should document the reason for ExcludeArch in the spec file:
https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures

- Try adding -Wl,--as-needed to LDFLAGS to fix unused-direct-shlib-dependency warnings

- The scriptlets page seems pretty insistent on not using certain certain scriptlets in F24+ (aka "This scriptlet SHOULD NOT be used in Fedora 24 or later."):
https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging

- Large data in arch-ed rpms (Arch-ed rpms have a total of 3348480 bytes in /usr/share). I suppose this is okay unless you want to split out the langpacks.


I see no blocking issues, I'm going to approve the package, but please have a look at the issues pointed out above before import.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 457 files have
     unknown license. Detailed output of licensecheck in
     /home/sandro/Desktop/1357064-lumina-desktop/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in lumina-fm, lumina-
     textedit
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 3348480 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lumina-desktop-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-desktop-data-1.0.0-2.p2.Lbc08e90.fc26.noarch.rpm
          lumina-desktop-libs-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-desktop-devel-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-desktop-wallpapers-1.0.0-2.p2.Lbc08e90.fc26.noarch.rpm
          lumina-open-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-config-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-fm-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-screenshot-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-search-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-info-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-xconfig-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-fileinfo-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-textedit-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-desktop-debuginfo-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
          lumina-desktop-1.0.0-2.p2.Lbc08e90.fc26.src.rpm
lumina-desktop.x86_64: W: no-documentation
lumina-desktop.x86_64: W: no-manual-page-for-binary start-lumina-desktop
lumina-desktop.x86_64: W: no-manual-page-for-binary lumina-desktop
lumina-desktop-data.noarch: W: no-documentation
lumina-desktop-libs.x86_64: W: no-documentation
lumina-desktop-devel.x86_64: W: only-non-binary-in-usr-lib
lumina-desktop-devel.x86_64: W: no-documentation
lumina-desktop-wallpapers.noarch: W: no-documentation
lumina-open.x86_64: W: spelling-error Summary(en_US) xdg -> bldg
lumina-open.x86_64: W: summary-not-capitalized C xdg-open style utility for Lumina Desktop
lumina-open.x86_64: W: spelling-error %description -l en_US mimetype -> mime type, mime-type, mistype
lumina-open.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
lumina-open.x86_64: W: no-documentation
lumina-open.x86_64: W: no-manual-page-for-binary lumina-open
lumina-config.x86_64: W: spelling-error %description -l en_US fluxbox -> flux box, flux-box, flummox
lumina-config.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
lumina-config.x86_64: W: no-documentation
lumina-config.x86_64: W: no-manual-page-for-binary lumina-config
lumina-fm.x86_64: W: spelling-error %description -l en_US slideshow -> sideshow, slide show, slide-show
lumina-fm.x86_64: W: no-documentation
lumina-fm.x86_64: W: no-manual-page-for-binary lumina-fm
lumina-screenshot.x86_64: W: no-documentation
lumina-screenshot.x86_64: W: no-manual-page-for-binary lumina-screenshot
lumina-search.x86_64: W: no-documentation
lumina-search.x86_64: W: no-manual-page-for-binary lumina-search
lumina-info.x86_64: W: no-documentation
lumina-info.x86_64: W: no-manual-page-for-binary lumina-info
lumina-xconfig.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
lumina-xconfig.x86_64: W: no-documentation
lumina-xconfig.x86_64: W: no-manual-page-for-binary lumina-xconfig
lumina-fileinfo.x86_64: W: no-documentation
lumina-fileinfo.x86_64: W: no-manual-page-for-binary lumina-fileinfo
lumina-textedit.x86_64: W: no-documentation
lumina-textedit.x86_64: W: no-manual-page-for-binary lumina-textedit
16 packages and 0 specfiles checked; 0 errors, 33warnings.




Rpmlint (debuginfo)
-------------------
Checking: lumina-desktop-debuginfo-1.0.0-2.p2.Lbc08e90.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
lumina-desktop-devel.x86_64: W: only-non-binary-in-usr-lib
lumina-desktop-devel.x86_64: W: no-documentation
lumina-desktop-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libLuminaUtils.so.1.0.0 /lib64/libxcb-image.so.0
lumina-desktop-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libLuminaUtils.so.1.0.0 /lib64/libQt5Multimedia.so.5
lumina-desktop-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libLuminaUtils.so.1.0.0 /lib64/libQt5Concurrent.so.5
lumina-desktop-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libLuminaUtils.so.1.0.0 /lib64/libGL.so.1
lumina-desktop-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libLuminaUtils.so.1.0.0 /lib64/libm.so.6
lumina-desktop-libs.x86_64: W: no-documentation
lumina-screenshot.x86_64: W: no-documentation
lumina-screenshot.x86_64: W: no-manual-page-for-binary lumina-screenshot
lumina-info.x86_64: W: no-documentation
lumina-info.x86_64: W: no-manual-page-for-binary lumina-info
lumina-config.x86_64: W: spelling-error %description -l en_US fluxbox -> flux box, flux-box, flummox
lumina-config.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
lumina-config.x86_64: W: no-documentation
lumina-config.x86_64: W: no-manual-page-for-binary lumina-config
lumina-desktop-data.noarch: W: no-documentation
lumina-fm.x86_64: W: spelling-error %description -l en_US slideshow -> sideshow, slide show, slide-show
lumina-fm.x86_64: W: no-documentation
lumina-fm.x86_64: W: no-manual-page-for-binary lumina-fm
lumina-open.x86_64: W: spelling-error Summary(en_US) xdg -> bldg
lumina-open.x86_64: W: summary-not-capitalized C xdg-open style utility for Lumina Desktop
lumina-open.x86_64: W: spelling-error %description -l en_US mimetype -> mime type, mime-type, mistype
lumina-open.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
lumina-open.x86_64: W: invalid-url URL: http://lumina-desktop.org <urlopen error timed out>
lumina-open.x86_64: W: no-documentation
lumina-open.x86_64: W: no-manual-page-for-binary lumina-open
lumina-fileinfo.x86_64: W: no-documentation
lumina-fileinfo.x86_64: W: no-manual-page-for-binary lumina-fileinfo
lumina-search.x86_64: W: no-documentation
lumina-search.x86_64: W: no-manual-page-for-binary lumina-search
lumina-desktop.x86_64: W: no-documentation
lumina-desktop.x86_64: W: no-manual-page-for-binary start-lumina-desktop
lumina-desktop.x86_64: W: no-manual-page-for-binary lumina-desktop
lumina-desktop-wallpapers.noarch: W: no-documentation
lumina-textedit.x86_64: W: invalid-url URL: http://lumina-desktop.org <urlopen error timed out>
lumina-textedit.x86_64: W: no-documentation
lumina-textedit.x86_64: W: no-manual-page-for-binary lumina-textedit
lumina-xconfig.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
lumina-xconfig.x86_64: W: no-documentation
lumina-xconfig.x86_64: W: no-manual-page-for-binary lumina-xconfig
15 packages and 0 specfiles checked; 0 errors, 41 warnings.



Requires
--------
lumina-desktop-devel (rpmlib, GLIBC filtered):
    libLuminaUtils.so.1()(64bit)
    lumina-desktop-libs(x86-64)

lumina-desktop-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Multimedia.so.5()(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Svg.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libXdamage.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libxcb-composite.so.0()(64bit)
    libxcb-damage.so.0()(64bit)
    libxcb-ewmh.so.2()(64bit)
    libxcb-icccm.so.4()(64bit)
    libxcb-image.so.0()(64bit)
    libxcb-util.so.1()(64bit)
    libxcb.so.1()(64bit)
    rtld(GNU_HASH)

lumina-screenshot (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)

lumina-info (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)

lumina-config (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)

lumina-desktop-data (rpmlib, GLIBC filtered):
    /bin/sh
    lumina-desktop

lumina-desktop-debuginfo (rpmlib, GLIBC filtered):

lumina-fm (rpmlib, GLIBC filtered):
    /bin/sh
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Multimedia.so.5()(64bit)
    libQt5Multimedia.so.5(Qt_5)(64bit)
    libQt5MultimediaWidgets.so.5()(64bit)
    libQt5MultimediaWidgets.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)

lumina-open (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)

lumina-fileinfo (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)

lumina-search (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)

lumina-desktop (rpmlib, GLIBC filtered):
    acpi(x86-64)
    alsa-utils(x86-64)
    config(lumina-desktop)
    fluxbox(x86-64)
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Multimedia.so.5()(64bit)
    libQt5Multimedia.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libxcb-damage.so.0()(64bit)
    libxcb.so.1()(64bit)
    lumina-desktop-data
    lumina-desktop-libs(x86-64)
    numlockx(x86-64)
    pavucontrol(x86-64)
    plasma-oxygen(x86-64)
    qt5-style-oxygen(x86-64)
    rtld(GNU_HASH)
    sysstat(x86-64)
    xbacklight(x86-64)
    xscreensaver(x86-64)
    xterm(x86-64)

lumina-desktop-wallpapers (rpmlib, GLIBC filtered):
    kde-filesystem

lumina-textedit (rpmlib, GLIBC filtered):
    /bin/sh
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)

lumina-xconfig (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libLuminaUtils.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    lumina-desktop-libs(x86-64)
    rtld(GNU_HASH)



Provides
--------
lumina-desktop-devel:
    lumina-desktop-devel
    lumina-desktop-devel(x86-64)

lumina-desktop-libs:
    libLuminaUtils.so.1()(64bit)
    lumina-desktop-libs
    lumina-desktop-libs(x86-64)

lumina-screenshot:
    application()
    application(lumina-screenshot.desktop)
    lumina-screenshot
    lumina-screenshot(x86-64)

lumina-info:
    application()
    application(lumina-info.desktop)
    lumina-info
    lumina-info(x86-64)

lumina-config:
    application()
    application(lumina-config.desktop)
    lumina-config
    lumina-config(x86-64)

lumina-desktop-data:
    lumina-desktop-data

lumina-desktop-debuginfo:
    lumina-desktop-debuginfo
    lumina-desktop-debuginfo(x86-64)

lumina-fm:
    application()
    application(lumina-fm.desktop)
    lumina-fm
    lumina-fm(x86-64)
    mimehandler(inode/directory)

lumina-open:
    lumina-open
    lumina-open(x86-64)

lumina-fileinfo:
    application()
    application(lumina-fileinfo.desktop)
    lumina-fileinfo
    lumina-fileinfo(x86-64)

lumina-search:
    application()
    application(lumina-search.desktop)
    lumina-search
    lumina-search(x86-64)

lumina-desktop:
    config(lumina-desktop)
    lumina-desktop
    lumina-desktop(x86-64)

lumina-desktop-wallpapers:
    lumina-desktop-wallpapers

lumina-textedit:
    application()
    application(lumina-textedit.desktop)
    lumina-textedit
    lumina-textedit(x86-64)
    mimehandler(text/plain)
    mimehandler(text/x-log)

lumina-xconfig:
    application()
    application(lumina-xconfig.desktop)
    lumina-xconfig
    lumina-xconfig(x86-64)



Source checksums
----------------
https://github.com/trueos/lumina/archive/v1.0.0-Release-p2/1.0.0-Release-p2.tar.gz :
  CHECKSUM(SHA256) this package     : 79aae1dbffbced5cdc119b9aac4a94c3cf2765e96b35e1c7c2f9fcbf54a2f72f
  CHECKSUM(SHA256) upstream package : 79aae1dbffbced5cdc119b9aac4a94c3cf2765e96b35e1c7c2f9fcbf54a2f72f
https://github.com/trueos/lumina-i18n/archive/bc08e907119117ba4dbe79caa240a007ef0d3472/lumina-i18n-bc08e907119117ba4dbe79caa240a007ef0d3472.tar.gz :
  CHECKSUM(SHA256) this package     : cc748c57bf09fe6abcf639b50486bcfdcd15bbbc06b1bbcc7033f55109a1410d
  CHECKSUM(SHA256) upstream package : cc748c57bf09fe6abcf639b50486bcfdcd15bbbc06b1bbcc7033f55109a1410d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1357064
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 26 Raphael Groner 2016-09-10 18:29:02 UTC
Thanks for the review!

I'll look into the open points while importing the package.

Comment 27 Gwyn Ciesla 2016-09-12 14:44:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lumina-desktop

Comment 28 Raphael Groner 2016-09-24 17:49:44 UTC
- You should document the reason for ExcludeArch in the spec file:
https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures

Dropped the ExcludeArch line.

- Try adding -Wl,--as-needed to LDFLAGS to fix unused-direct-shlib-dependency warnings

Done.

- The scriptlets page seems pretty insistent on not using certain certain scriptlets in F24+ (aka "This scriptlet SHOULD NOT be used in Fedora 24 or later."):
https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging

As I plan to build packages for EPEL7, I keep the scriptlets.

- Large data in arch-ed rpms (Arch-ed rpms have a total of 3348480 bytes in /usr/share). I suppose this is okay unless you want to split out the langpacks.

In my opinion, it's better to split subpackages for the individiual applications instead incl. their correspondig translations. It's too complicated to manage 67 languages in their own langpacks for each application.

Comment 29 Neal Gompa 2016-09-24 19:40:18 UTC
> As I plan to build packages for EPEL7, I keep the scriptlets.

Then conditionalize it so that it doesn't run on F24 and newer.

Comment 30 Raphael Groner 2016-09-24 20:39:00 UTC
Packages built and pushed as updates for F25, F24 and EPEL7.

Comment 31 Fedora Update System 2016-09-26 01:19:19 UTC
lumina-desktop-1.0.0-3.p2.Lbc08e90.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-352e664f45

Comment 32 Fedora Update System 2016-09-26 01:21:58 UTC
lumina-desktop-1.0.0-3.p2.Lbc08e90.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-00c9861d1a

Comment 33 Fedora Update System 2016-09-26 22:48:58 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8ef6597c75

Comment 34 Fedora Update System 2016-09-27 06:21:40 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-352e664f45

Comment 35 Fedora Update System 2016-09-27 07:22:33 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-00c9861d1a

Comment 36 Fedora Update System 2016-10-04 13:20:04 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8ef6597c75

Comment 37 Fedora Update System 2016-10-09 02:52:06 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2016-10-09 06:22:04 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2016-10-11 02:20:15 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f700d53a6a

Comment 40 Fedora Update System 2016-10-19 17:21:15 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2016-10-21 15:54:10 UTC
lumina-desktop-1.0.0-5.p2.Lbc08e90.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.